Reorder Projects
Set the team's custom order of projects, which every member of the team sees. List the projects in the order they should appear; projects left out keep their order after the listed ones. Returns the team's projects in the new order.
Set the team's custom order of projects, which every member of the team sees. List the projects in the order they should appear; projects left out keep their order after the listed ones. Returns the team's projects in the new order.
Authorization
bearerAuth Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Projects in the order they should be listed. Projects left out keep their order after these.
1 <= items <= 1000uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/projects/reorder" \ -H "Content-Type: application/json" \ -d '{ "project_ids": [ "b5c0e7c3-d26d-4797-906b-f511ec4c5077" ], "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }'{ "data": [ { "created_at": "2019-08-24T14:15:22Z", "default_environment_id": "1658df0d-7596-4ba0-8ea0-7169da9cad5a", "description": "string", "environment_count": 0, "environments": [ { "active": true, "created_at": "2019-08-24T14:15:22Z", "description": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kubernetes_name": "string", "name": "string", "permissions": [ "admin" ], "service_count": 0, "service_icons": [ "string" ] } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kubernetes_name": "string", "name": "string", "permissions": [ "admin" ], "service_count": 0, "service_icons": [ "string" ], "status": "string", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" } ]}